﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:local="clr-namespace:HiVE.BasicModels.isResourceDictionary"
                    xmlns:system="clr-namespace:System;assembly=mscorlib">

    <Style TargetType="{x:Type TextBlock}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="Margin" Value="2,8,2,4"/>
        <Setter Property="Padding" Value="2"/>
    </Style>

    <DataTemplate DataType="{x:Type system:String}">
        <TextBlock Text="{Binding}">
            <TextBlock.Resources>
                <Style TargetType="{x:Type TextBlock}"/>
            </TextBlock.Resources>
        </TextBlock>
    </DataTemplate>
</ResourceDictionary>